Bug 1552917 (CVE-2018-7639) - CVE-2018-7639 CImg: heap-based buffer over-read in load_bmp in CImg.h via crafted bmp image (16 bits colors)
Summary: CVE-2018-7639 CImg: heap-based buffer over-read in load_bmp in CImg.h via cra...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-7639
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1552924 1625325
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-07 22:52 UTC by Laura Pardo
Modified: 2021-10-21 19:57 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-21 19:57:05 UTC


Attachments (Terms of Use)

Description Laura Pardo 2018-03-07 22:52:21 UTC
An issue was discovered in CImg v.220. A heap-based buffer over-read in load_bmp in CImg.h occurs when loading a crafted bmp image, a different vulnerability than CVE-2018-7588. This is in a "16 bits colors" case, aka case 16.


References:
https://github.com/dtschump/CImg/issues/185

Upstream Patch:
https://github.com/dtschump/CImg/commit/10af1e8c1ad2a58a0a3342a856bae63e8f257abb

Comment 1 Laura Pardo 2018-03-07 22:54:22 UTC
Created CImg tracking bugs for this issue:

Affects: fedora-all [bug 1552924]

Comment 2 Scott Gayou 2018-09-04 16:28:27 UTC
Created gmic tracking bugs for this issue:

Affects: fedora-all [bug 1625325]


Note You need to log in before you can comment on or make changes to this bug.